#!/usr/bin/env python
from setuptools import setup, find_packages

install_requires = [
    'requests>=2.20.0',
    'python-dateutil>=2.9.0',
    'python-dotenv>=1.0.1']

tests_require = [
    'pytest',
    ]

with open("README.md", "r") as fh:
    description = fh.read()

setup(
    name='clover-api-py',
    version='0.0.18',
    author='Nathan Demi',
    author_email='ndemissie88@gmail.com',
    license='MIT',
    url='https://github.com/NateDemi/clover-api-py',
    packages=find_packages(),
    install_requires=install_requires,
    tests_require=tests_require,
    description='An unofficial Python client for the Clover API v3',
    download_url='https://github.com//NateDemi/clover-api-py/archive/refs/heads/main.zip',
    keywords=['clover','api'],
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Intended Audience :: Developers',
        'Intended Audience :: Financial and Insurance Industry',
        'Intended Audience :: Information Technology',
        'Topic :: Software Development :: Libraries :: Python Modules',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
    ],
    long_description=description,
    long_description_content_type="text/markdown",
)
